Login
Newsletter
Werbung

Sicherheit: Pufferüberlauf in blender
Aktuelle Meldungen Distributionen
Name: Pufferüberlauf in blender
ID: DSA-1567-1
Distribution: Debian
Plattformen: Debian sid, Debian etch
Datum: Mo, 5. Mai 2008, 17:25
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2008-1102
Applikationen: Blender

Originalnachricht

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

- ------------------------------------------------------------------------
Debian Security Advisory DSA-1567-1 security@debian.org
http://www.debian.org/security/ Devin Carraway
May 05, 2008 http://www.debian.org/security/faq
- ------------------------------------------------------------------------

Package : blender
Vulnerability : buffer overrun
Problem type : local (remote)
Debian-specific: no
CVE Id(s) : CVE-2008-1102

Stefan Cornelius discovered a vulnerability in the Radiance High
Dynamic Range (HDR) image parser in Blender, a 3D modelling
application. The weakness could enable a stack-based buffer overflow
and the execution of arbitrary code if a maliciously-crafted HDR file
is opened, or if a directory containing such a file is browsed via
Blender's image-open dialog.

For the stable distribution (etch), these problems have been fixed in
version 2.42a-7.1+etch1.

For the unstable distribution (sid), these problems have been fixed in
version 2.45-5.

We recommend that you upgrade your blender packages.

Upgrade instructions
- --------------------

wget url
will fetch the file for you
dpkg -i file.deb
will install the referenced file.

If you are using the apt-get package manager, use the line for
sources.list as given below:

apt-get update
will update the internal database
apt-get upgrade
will install corrected packages

You may use an automated update by adding the resources from the
footer to the proper configuration.


Debian GNU/Linux 4.0 alias etch
- -------------------------------

Source archives:

blender_2.42a-7.1+etch1.dsc
Size/MD5 checksum: 1124 2304ad7948f44a1c087e8906f9a676bd
blender_2.42a-7.1+etch1.diff.gz
Size/MD5 checksum: 29617 79175d7996d5e0ea9a981b5c0cdac8ad
blender_2.42a.orig.tar.gz
Size/MD5 checksum: 12295244 3d60b7ebe0dea47da12744fe2462d96c

alpha architecture (DEC Alpha)

blender_2.42a-7.1+etch1_alpha.deb
Size/MD5 checksum: 7062442 57776aac61b9871dcf66da61be6be9f5

amd64 architecture (AMD x86_64 (AMD64))

blender_2.42a-7.1+etch1_amd64.deb
Size/MD5 checksum: 6354226 78f6f086e2a2598fb0b40d861a203dfe

arm architecture (ARM)

blender_2.42a-7.1+etch1_arm.deb
Size/MD5 checksum: 6559778 cea3f23a01a0147b43698494a893effd

hppa architecture (HP PA RISC)

blender_2.42a-7.1+etch1_hppa.deb
Size/MD5 checksum: 7243926 233690a809c3f39aa742697705e17429

i386 architecture (Intel ia32)

blender_2.42a-7.1+etch1_i386.deb
Size/MD5 checksum: 6303940 57ead1737c28b69c2a82fd29bb41e814

ia64 architecture (Intel ia64)

blender_2.42a-7.1+etch1_ia64.deb
Size/MD5 checksum: 8875392 2d30aa1cd1838e96a4551df38fc7fdf5

mips architecture (MIPS (Big Endian))

blender_2.42a-7.1+etch1_mips.deb
Size/MD5 checksum: 6187970 9684782927a3d39931d19575dd194bda

mipsel architecture (MIPS (Little Endian))

blender_2.42a-7.1+etch1_mipsel.deb
Size/MD5 checksum: 6119168 bdd46a3989ed69a645cf53f4cf526f47

powerpc architecture (PowerPC)

blender_2.42a-7.1+etch1_powerpc.deb
Size/MD5 checksum: 6536610 8cca411968cbabba698b5938bd486f81

s390 architecture (IBM S/390)

blender_2.42a-7.1+etch1_s390.deb
Size/MD5 checksum: 6447592 91f556b6e00439aae903ce9cd63dc14c

sparc architecture (Sun SPARC/UltraSPARC)

blender_2.42a-7.1+etch1_sparc.deb
Size/MD5 checksum: 6421798 f5855fdef3d8ca0b896d4720b9ef4651


These files will probably be moved into the stable distribution on
its next update.

-
---------------------------------------------------------------------------------
For apt-get: deb http://security.debian.org/ stable/updates main
For dpkg-ftp: ftp://security.debian.org/debian-securitydists/stable/updates/main
Mailing list: debian-security-announce@lists.debian.org
Package info: `apt-cache show <pkg>' and http://packages.debian.org/<pkg>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iQEVAwUBSB8kgmz0hbPcukPfAQLjOQf8DquOcRcXD3e31eYuPmXBfzzIoQaHtFgd
VK5QSZ2iBnab4YwoqXuATp5FCsgxt1NU8dWDufr4XmYOQVs0tyFATV7ScLT43s5m
UsUXXHv3s+vCRnik0p7tR7sA48pyFdmoTUBvZ4fMDzH2CgAQm0223pvlM/NGA1ZS
QfIc8LUgHELhezqdI1zDSOvyZK27kuI5sMssrq6VnpO5wTCyatolmRjlzMxxGvFu
jFImwlpWRp1sTN6JC7HB6ROC7nYsOFF5IADDY1Ls10dd4W4ggYcBBkKvOiL/DMkj
2cYzaptqYXz3fa1hPosWlhJyjWHrhUefk9CYnG/DmF0P4wej4ynDDA==
=MRyE
-----END PGP SIGNATURE-----


--
To UNSUBSCRIBE, email to debian-security-announce-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact
listmaster@lists.debian.org
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung